Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.metamodel
Interface PluralAttribute<X,C,E>

Type Parameters:
  `X` - The type the represented collection belongs to
  `C` - The type of the represented collection
  `E` - The element type of the represented collection

All Superinterfaces:
  Attribute<X,C>, Bindable<E>

All Known Subinterfaces:
  CollectionAttribute<X,E>, ListAttribute<X,E>, MapAttribute<X,K,V>, SetAttribute<X,E>

    public interface PluralAttribute<X,C,E>

extends Attribute<X,C>, Bindable<E>

Instances of the type `PluralAttribute` represent persistent collection-valued attributes.

Since:
  Java Persistence 2.0

Nested Class Summary
`static class` | `PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Method Summary
`PluralAttribute.CollectionType` | `getCollectionType()` Return the collection type.
`Type<E>` | `getElementType()` Return the type representing the element type of the collection.

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

Methods inherited from interface javax.persistence.metamodel.Bindable
`getBindableJavaType, getBindableType`

Method Detail

### getCollectionType

    PluralAttribute.CollectionType getCollectionType()

  Return the collection type.

  Returns:
    collection type

### getElementType

    Type<E> getElementType()

  Return the type representing the element type of the collection.

  Returns:
    element type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD